package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

public class DrpContractPageDTO {
   @ApiModelProperty("合同编号或标题")
   private String contractInfo;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("合同状态 1待生效,2履行中，3已失效，4已终止")
   private Integer contractStatus;
   @ApiModelProperty("合同开始时间")
   private LocalDateTime contractStartTime;
   @ApiModelProperty("合同结束时间")
   private LocalDateTime contractEndTime;
   @ApiModelProperty("供应商")
   private Long supplierId;
   @ApiModelProperty("创建时间开始")
   private LocalDateTime crtimeStart;
   @ApiModelProperty("创建时间结束")
   private LocalDateTime crtimeEnd;
   @ApiModelProperty("提交状态 1待提交 2已提交")
   private Integer commitStatus;
   @ApiModelProperty("审批状态(1待审批,2审批中,3审批同意,4审批拒绝)")
   private Integer approveStatus;
   @ApiModelProperty("制单人")
   private String createBy;
   @ApiModelProperty("区域IDList")
   private List<Long> areaIdList;

   public String getContractInfo() {
      return this.contractInfo;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Integer getContractStatus() {
      return this.contractStatus;
   }

   public LocalDateTime getContractStartTime() {
      return this.contractStartTime;
   }

   public LocalDateTime getContractEndTime() {
      return this.contractEndTime;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public LocalDateTime getCrtimeStart() {
      return this.crtimeStart;
   }

   public LocalDateTime getCrtimeEnd() {
      return this.crtimeEnd;
   }

   public Integer getCommitStatus() {
      return this.commitStatus;
   }

   public Integer getApproveStatus() {
      return this.approveStatus;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public DrpContractPageDTO setContractInfo(final String contractInfo) {
      this.contractInfo = contractInfo;
      return this;
   }

   public DrpContractPageDTO setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
      return this;
   }

   public DrpContractPageDTO setContractStatus(final Integer contractStatus) {
      this.contractStatus = contractStatus;
      return this;
   }

   public DrpContractPageDTO setContractStartTime(final LocalDateTime contractStartTime) {
      this.contractStartTime = contractStartTime;
      return this;
   }

   public DrpContractPageDTO setContractEndTime(final LocalDateTime contractEndTime) {
      this.contractEndTime = contractEndTime;
      return this;
   }

   public DrpContractPageDTO setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpContractPageDTO setCrtimeStart(final LocalDateTime crtimeStart) {
      this.crtimeStart = crtimeStart;
      return this;
   }

   public DrpContractPageDTO setCrtimeEnd(final LocalDateTime crtimeEnd) {
      this.crtimeEnd = crtimeEnd;
      return this;
   }

   public DrpContractPageDTO setCommitStatus(final Integer commitStatus) {
      this.commitStatus = commitStatus;
      return this;
   }

   public DrpContractPageDTO setApproveStatus(final Integer approveStatus) {
      this.approveStatus = approveStatus;
      return this;
   }

   public DrpContractPageDTO setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public DrpContractPageDTO setCreateBy(String createBy) {
      this.createBy = createBy;
      return this;
   }
}
